Continuum Analytics: Documentation

# conda inspect

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda inspect

## DESCRIPTION

           usage:  conda-inspect  [-h]  {linkages,objects,channels,prefix-lengths}
           ...

           Tools for inspecting conda packages.

## OPTIONS

       positional arguments:
                  {linkages,objects,channels,prefix-lengths}

           linkages
                  Investigates linkages of binary libraries in a package (works in
                  Linux  and  OS  X).  This is an advanced command to aid building
                  packages that link against C libraries. Aggregates the output of
                  ldd  (on  Linux)  and  otool -L (on OS X) by dependent packages.
                  Useful  for  finding  broken  links,  or  links  against  system
                  libraries that ought to be dependent conda packages.

           objects
                  Investigate  binary  object files in a package (only works on OS
                  X). This is an advanced command to aid  building  packages  that
                  have  compiled libraries.  Aggregates the output of otool on all
                  the binary object files in a package.

           channels
                  Tools for investigating conda channels.

           prefix-lengths
                  Inspect packages in given path, finding those with  binary  pre-
                  fixes shorter than specified

       optional arguments:
           -h, --help
                  Show this help message and exit.

           Run  --help  on the subcommands like 'conda inspect linkages --help' to
           see the options available.

    Continuum Analytics                June 2017                          CONDA(1)